Subject: Bug#717: [X2Go-Dev] Bug#717: Fwd: [Bug 1179010] New: [abrt] nxagent: _XReply(): nxagent killed by SIGSEGV

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 6 Jan 2015 00:14:57 +0100

On Mon, Jan 5, 2015 at 11:13 PM, Orion Poplawski <[email-masked]> wrote:
> Package: nx-libs
> Version: 3.5.0.28
>
> This looks like infinite recursion in the _XIDHandler() libX11 code.  Not sure
> there is anything to be done besides trying to rebase nx-libs on a newer Xorg
> X11 release.

This gets more important every day. Unfortunately the X11 code
underwent massive changes in the meantime so this is a HUGE task. But
it should definitely be done.

We had a crash and could identify a bug in the X11 code. A colleague
of mine found an according patch which we tried to backport to NX. We
failed because the current X11 code looks totally different now...

Uli